Get all field definitions
- Base URL
-
https://{kibana_url}
- GET /api/cases/field_definitions
- GET /s/{space_id}/api/cases/field_definitions
Returns a paginated list of field definitions (field library entries) for the given owner. Requires the Cases feature to be enabled in the space.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
ownerunion string | string[]required -
The application that owns the field definitions (for example
cases,observability, orsecuritySolution). Required. -
isGlobalboolean -
When true, returns only global field definitions (rendered on every case). When false, returns all definitions. Omit to return all.
Responses
Indicates a successful call.
-
fieldDefinitionsobject[]required -
definitionstringrequired -
The field definition as a YAML string. New definitions are limited to 30 000 characters, but existing definitions created via internal tooling may be longer.
-
displayOrderinteger · min: 0 -
Position of a global field in the case details view. Assigned by the server and changed via the Field Library reorder controls.
-
fieldDefinitionIdstring · max length: 36required -
Unique server-assigned identifier for the field definition (UUID). May be UUIDv4 for definitions created through the public API, or UUIDv5 for definitions created by internal migration processes.
-
isGlobalboolean -
When true, this field is rendered in every case regardless of which template the case uses.
The request is invalid. For example, the owner query parameter is missing or page/perPage are not integers.
Authorization information is missing or invalid.